Changelog 2026-07-01
Changes
Numeric Movie IDs
Cineamo API endpoints and widgets now expect numeric Movie ids (e.g. 699236) when getting, filtering, creating and updating entities.
For backwards compatibility, the legacy alphanumeric cineamoIds (e.g. 967941m) are still accepted, but they are now considered deprecated, and will be phased out, removing support by 2026-10-01 after a grace period of 3 months.
To update your consumers, refer to a Movie entity by its numeric id property (instead of its alphanumeric cineamoId property) and pass it through the new numeric parameters and properties listed below. When both the numeric and the legacy value are supplied, the numeric one takes precedence.
Reading a single Movie by id
GET endpoints accept both the numeric id and the legacy alphanumeric cineamoId as part of the URL. For example:
Code
Filter endpoints — new movieId query parameter
These GET endpoints now accept a numeric movieId query parameter, superseding the deprecated cineamoMovieId parameter. For example:
Code
Affected endpoints:
GET /showingsGET /moviesGET /v2/moviesGET /contentsGET /movie-ratingsGET /movie-copyrightsGET /event-requestsGET /user-movie-listsGET /user-movie-list-itemsGET /me/movie-listsGET /me/movie-ratingsGET /users/{userId}/movie-ratingsGET /cinemas/{cinemaId}/moviesGET /cinemas/{cinemaId}/contentsGET /cinemas/{cinemaId}/showings-futureGET /analytics/event-requests-countGET /analytics/movie-ratings-average
List responses on these endpoints now also include a numeric movieId field alongside the deprecated cineamoMovieId.
Create/update endpoints — new movie body property
These POST/PATCH endpoints now accept a numeric movie property in the request body, superseding the deprecated cineamoMovieId property. For example:
Code
Affected endpoints:
POST /cinema-movie-recommendationsPATCH /cinema-movie-recommendations/{cinemaMovieRecommendationId}POST /distributor-movie-lists/{distributorMovieListId}/distributor-movie-list-itemsPATCH /distributor-movie-lists/{distributorMovieListId}/distributor-movie-list-items/{distributorMovieListItemId}POST /movie-aliasesPATCH /movie-aliases/{movieAliasId}POST /movie-copyrightsPATCH /movie-copyrights/{movieCopyrightId}PATCH /movie-ratings/{movieRatingId}PATCH /me/movie-ratings/{cineamoMovieId}POST /user-movie-list-itemsPATCH /user-movie-list-items/{userMovieListItemId}
Showtime Finder Widget
The movie parameter of the Showtime Finder Widget accepts both the numeric id and the legacy alphanumeric cineamoId.

